<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <style>
        #text, #result{
            display: block;
            margin:auto;
            padding: 10px;
            border: solid 5px green;
        }
        #result{
            border: solid 2px blue;
            margin-top: 10px;
        }
    </style>
</head>
<body>
    <textarea onkeydown="down(event)" onkeypress="press(event)" onkeyup="up(event)" id="text" cols="30" rows="10"></textarea>
    <textarea name="" id="result" cols="60" rows="10" readonly></textarea>
    <script>
        c=1
        c1=0
        c2=0
   

        function down(e){
            console.log("down - "+c);
            c+=1
            console.log(e)


        }

        function press(e){
            c1++
            console.log("press - "+c1);
            console.log(e)

            let result = document.getElementById("result")
            if(e.keyCode>=4304 && e.keyCode<=4336){
                result.innerHTML += e.key
            }
        }

        function up(e){
            c2++
            console.log("up - "+c2);
         
        }
    </script>
</body>
</html>